
v2.16.X
=================

v2.16.0
--------
Postes Xellip :
	* Ajout: prise en compte du poste XE-PLATINE => implique pas mal de petites modifications notamment en terme d'IHM
	sur les postes TFT et pour les postes graphiques principalement au niveau de la liste des touches de fonction
	* Ajout: nouvelle action permettant de basculer via une touche de fonction l'état d'une entrée logique 
	* Ajout: possibilité d'associer une led d'une touche de fonction à une entrée logique
	* Ajout: un message signale la prise en compte du téléchargement du backup du poste
	* Ajout type poste: !!!!!  MANQUE PHOTOS !!!!!!
						XEMED-4B
						XEK-V1B-LECT
						PADIPAUDIO-1B-HT345, PADIPVIDEO-1B-HT345
						PADIPAUDIO-PROX-C-HT345, PADIPVIDEO-PROX-C-HT345
						PADIPAUDIO-MI-C-HT345, PADIPVIDEO-MI-C-HT345
						PADIPAUDIO-MIS-C-HT345, PADIPVIDEO-MIS-C-HT345
						PADIPAUDIO-DES-HT345, PADIPVIDEO-DES-HT345
						PADIPAUDIO-PROX-HID-HT345, PADIPVIDEO-PROX-HID-HT345
						PADIPAUDIO-PROX-STID-HT345, PADIPVIDEO-PROX-STID-HT345
						PADIPAUDIO-VIGIK-HT345, PADIPVIDEO-VIGIK-HT345
						PADIPAUDIO-CLAV-HT345, PADIPVIDEO-CLAV-HT345    
v2.15.X
=================

v2.15.3
--------
Postes Xellip :
	* Ajout type poste  CAPIP-10B-HT345, CAPIP-10B-W-HT345, CAPIP-V10B-HT345, CAPIP-V10B-W-HT345
						CAPIP-1B-PROX-C-HT345, CAPIP-V1B-PROX-C-HT345,
						CAPIP-1B-MI-C-HT345, CAPIP-V1B-MI-C-HT345
						CAPIP-1B-MIS-C-HT345, CAPIP-V1B-MIS-C-HT345
						CAPIP-1B-DES-HT345, CAPIP-V1B-DES-C-HT345
						CAPIP-1B-PROX-HID-HT345, CAPIP-V1B-PROX-HID-HT345
						CAPIP-1B-PROX-STID-HT345, CAPIP-V1B-PROX-STID-HT345
						CAPIP-1B-PROX-STID, CAPIP-V1B-PROX-STID
						PADIPAUDIO-PROX-STID, PADIPVIDEO-PROX-STID
	* Modification: Etre capable de detecter le CSeq dans un message RTSP peu importe où il est placé dans le message
	* Correction: correction au niveau du flux vidéo h264 transmis par les postes: certaines iframes 
				étaient parfois mal formées. Cela entrainait par exemple des pertes de flux vidéo
				pour certains logiciels de vidéo-surveillance.
	* Correction régression: Le wifi n'était plus fonctionnel depuis la version 2.15.0.
	* Correction régression: Certains éléments des pages webs n'étaient plus configurables sur certains
							 types de postes du fait d'une régression sur la gestion des paramètres optionnels.

Serveurs Xellip :
	* Correction pour éviter d'avoir un message à propos de mediarecorder sur un Xellip routeur suite à une mise à jour via Castel Serveur
	* Correction : un bug existait lorsque l'on modifiait les paramètres d'un serveur externe entrainant un echec d'enregistrement 1 fois sur 2
	* Correction régression : les groupes d'annonce n'étaient plus fonctionnels depuis la version 2.15.0. Cela est corrigé.
	* Correction régression : la page de configuration de la date et heure ne s'affichait plus et indiquait une erreur. Cela est corrigé.

v2.15.2
--------
	* Correction: si redémarrage de média, remonte un code d'enregistrement à 0 plutot qu'à 404 pour
			éviter un affichage d'erreur au niveau des IHMs (pages web local et CASTELServeur) lorsque
			le poste est utilisé en standalone.
	* Correction: correction de la regression introduite en debuggant le probleme lié à lastraa 5000 
			entrainant un plantage de media sur les appels de groupe.
	* Ajout: ajout des tonalités espagnoles dans default_datas.

v2.15.1
--------
	* Correction: correction du problème with aastra 5000 and multiple outgoing calls,
				  answering with inactive.
	* Ajout: postes CAPIP-2B-P-HT280, CAPIP-V2B-P-HT280 CAPIP-2B-W-HT280, CAPIP-V2B-W-HT280 
			 postes MWSPADIPAUDIO-1B-P,MWSPADIPVIDEO-1B-P, MWSPADIPAUDIO-CLAV-P, MWSPADIPVIDEO-CLAV-P	

v2.15.0
--------
Linux :
	* Modification: suppression de la gestion de l'USB (pour carte Mexico).

Postes Xellip :
	* Modification: merge modifications pile SIP pour l'enregistrement.
	* Ajout: gestion des codecs configurables en fonction du type de postes
	* Ajout: possibilité d'activer la répétition sur l'action "Jouer un fichier son" 
	* Ajout: postes "DO" avec le codec G729.
	* Ajout: postes MWSIP-1B-P, MWSIP-2B-P, MWSIP-3B-P, MWSIP-V1B-P,  MWSIP-V2B-P, MWSIP-V3B-P,
			 MWSIP-1B-CLAV-P, MWSIP-V1B-CLAV-P (photo non contractuelles)
	* Ajout: postes CAPIP-1B-W-HT280, CAPIP-V1B-W-HT280,CAPIP-4B-W-HT280, CAPIP-V4B-W-HT280
	* Ajout: postes PADIPAUDIO-CLAV-MIC, PADIPVIDEO-CLAV-MIC,
	* Ajout: poste XEK-1B-2E.
	* Ajout: Action jouer un fichier sonore - possibilité d'activer la répétition de ce fichier.

Serveurs Xellip :
 	* Ajout: un nouveau paramètre avancé est disponible dans la configuration générale : promiscredir
 	         Ce paramètre permet d'autoriser ou non les messages 302 ou REDIR vers une adresse IP non locale. 
 	         Au préalable ce paramètre était fixé à "no" ce qui interdissait le renvoi d'appel en SIP trunk 
 	         (le message 302 provoquait l'envoi d'un message 503 unavailable par le serveur SIP).
v2.14.X
=================

v2.14.7
--------
	* Correction: correction erreur SIP 404 en cas de redémarrage de média sur poste en standalone.
	* Correction: correction plantage media sur appel de groupe suite à modification pour corriger
					le problème lié à l'astraa 5000 dans la version précédente (2.14.6).
	* Modification: suppression gestion de l'USB au niveau du linux.

v2.14.6
--------
	* Correction: correction de la gestion de la mise en attente par mittel (astra 500) qui envoie 
				  "inactive" au lieu de "sendonly".
	* Ajout: Ajout d'un script de mise à jour des tables ARP (Gratuitous ARP).
	* Correction: correction du "Passage en IP fixe via l'appui sur le bouton reset" qui n'était plus
				fonctionnel.

v2.14.5
--------
	* Correction: retour des évènements de relation cycle dans l'historique (régression depuis la 2.14.0).
	* Modification: Initialisation des états de traitements des relations pour les évènements "fin d'appel"
					et "fin de comm".
	* Correction: L'évènement "changement de profil" n'était plus généré depuis la version 2.14.0. Cela est
				  corrigé. 

v2.14.4
--------
	* Correction: remontée correctement l'état de désenregistrement en cas de redémarrage de mediaGIP.
	* Correction: gérer le cas où le SDP contient inactive comme un sendonly et non pas comme un recvonly.
	 
v2.14.3
--------
	* Evolution: suite à l'affaire DGA, un bouton de fonction programmé en fonction d'appel
	 avec fin d'appel sur appui, permet de terminer toute communication encours sans filtre d'adresse
	 
v2.14.2
--------
Routeur SIP : 
	* Correction: sur ajout ou modification d'un poste, controle de la disponibilité du numéro
			d'extension (par rapport aux groupes d'appel et groupes d'annonce).

Postes Xellip :
	* Correction: correction de l'initialisation des évènements de verrouillage sur un lecteur
				  distant dans le cas d'une relation inter-équipement.
	* Ajout: gestion de la led rouge en cas de verrouillage d'un lecteur (ou clavier) d'un poste Xellip/CAPIP.
	* Ajout : possibilité de gérer les timezones autres que FR/Paris si sélection de la mise à l'heure via serveur NTP
	* Ajout: etat et commande du verouillage par SNMP
	* Ajout: prise en compte du nouveau type de poste CAPIP-V1B-CLAV-LECT et CAPIP-1B-CLAV-LECT
	* Ajout: prise en compte du nouveau type de poste CAPIP-V1B-CLAV-W et CAPIP-1B-CLAV-W

v2.14.1
--------
Serveurs Xellip
	* Correction : les timeouts de com et d'appel peuvent être saisis sur 5 chiffres et non pas sur 4

Postes Xellip :
	* Ajout: Mise en place d'un mécanisme de controle de l'enregistrement sur un serveur SIP pour fiabiliser
			 cet enregistrement.
	* Correction: correction du script de MAJ par TFTP. Il faudra donc avoir au moins cette version 
				  avant de pouvoir faire des MAJ par TFTP.
	* Correction: discrimination selon le gid pour jouer la commande vocale que si c'est le relais
				  local au poste qui est commandé. Idem sur les entrées (contrôle du gid).  
	* Correction: Correction gestion de l'état des entrées soft en snmp.
	* Correction: L'évènement "verrouillage de zone" (et "verrouillage de zone par profil") faisait en partie
				  planter le poste. Cela est corrigé.

v2.14.0
--------
Postes et serveurs Xellip
	* Ajout: un préfixe peut être ajouté au nom du fichier de sauvegarde des paramètres systèmes
	
Postes Xellip :
	* Ajout: prise en compte du nouveau type de poste XEK-1E1S
	* Ajout: prise en compte du nouveau type de poste PADIPVIDEO-CLAV-MIC PADIPAUDIO-CLAV-MIC
	* Ajout: prise en compte du nouveau type de poste XEK-1B-ALARM
 	* Ajout: prise en compte du nouveau type de poste XEK-V
 
	* Modification: dans la gestion des profils les options proposées (accès autorisés et autres paramètres) sont affichées 
	                en fonction des équipements réellement présents (clavier, afficheur...)
	* Modification: Modification de la relation créée dans le controle d'accès local pour prendre en compte le portier équipé 
	                d'une interface lecteur et d'une interface clavier
	* Modification: Modification du comportement des postes graphiques sur réception d'un événement de changement de configuration
	                Au lieu d'afficher une popup et de retourner à la page d'accueil le poste signale simplement le changement de configuration via une popup mais reste sur la page en cours.
	                Du coup lorsque le poste ne trouve pas de serveur dhcp il est possible de modifier la configuration réseau sans risquer de retourner à l'accueil avant d'avoir pu valider la nouvelle config. 


v2.13.X
=================
v2.13.1
--------
* Correction: un script hwclock permet la restauration de l'heure au démarrage systématiquement
* Ajout: un script permet de redémarrer le serveur ntp en cas d'arret de celui-ci
* Evolution : MAJ script d'update (update.sh) pour palier au problème de reboot pendant l'update
* Correction : bug dans la gestion de certaines leds

v2.13.0
--------
Routeur SIP : 
	* Ajout: nouvelles options dans les paramètres généraux
	   - NAT : permet d'activer la translation d'adresse (non actif par défaut) nécessaire lorsque le serveur est relié à des réseaux hétérogène tel qu'Internet
	   - Envoi des flux vidéo direct entre poste (actif par défaut) : cette option doit permettre de désactiver l'envoi des flux entre les postes directement pour qu'ils passent systématiquement par le serveur (nécessaire à travers Internet)
	   - Autoriser / Refuser l'accès au serveur à des postes non enregistrés
	* Ajout: Affichage d'une information sur la page "Etat général" lorsque le serveur est connecté à CastelServeur.
	* Ajout: Ajout de numérotation d'appel direct optionnels au niveau des groupes d'annonce.
	* Modification: lors de l'ajout d'un groupe d'annonce, propose un numéro de suffixe libre.
Postes Xellip :
	* Ajout:  prise en compte des nouveaux types de poste PADIPAUDIO-CLAV-LECT PADIPVIDEO-CLAV-LECT CAPIP-4B-HT280 CAPIP-V4B-HT280 	
	* Ajout: émission d'une tonalité si le poste doit être enregistré sur un serveur et qu'au moment de l'appel il n'est pas enregistré.
	* Modification: Le timeout d'appel entrant est maintenant géré par mope. Cela permet de remonter les
					évènements "Fin d'appel" avec la bonne cause pour la supervision.
	* Modification: Le libellé du type de poste est transmis dans les messages SIP au lieu de mediagipX.X.X.
	* Correction:   Les actions distantes configurées au niveau des touches spéciales sont maintenant traitées correctement.
	* Modification : révision de la gestion des leds suite à des modifications pour le moniteur => impacte toutes les gammes 

v2.12.X
=================

v2.12.8
--------
Routeur SIP : 
	* Modification: Possibilité d'effectuer des appels de groupes et de groupe d'annonce depuis un système externe.
Postes Xellip:
	* Modification: RTSP - fin de ligne en CRLF pour être compatible avec les systèmes ne gérant QUE cette fin de ligne
					(même si la RFC dit qu'il devraient accepter CR ou LF seul).

v2.12.7
--------
* Modification: Lors d'un transfer par un OXO (ou autre), ajout d'un raccrocher auto au bout de 1 secondes 
				pour bien faire le second appel si l'IPBX ne raccroche pas le premier appel.

v2.12.6  
--------
* Correction:	Modification de la séquence de démarrage (script rcS) pour démarrer le réseau en dernier et ne plus rencontrer
				de problème d'authentification radius avec un windows serveur couplé à un active directory (stade de Lyon)  

v2.12.5
--------
* Correction: 	Gestion du poste XEHANDSET-GRAPH-W au niveau de GraphDisplay.

v2.12.4
--------
* Correction: 	Correction du multicast non fonctionnel. Permet d'améliorer la découverte par CASTELIPSearch (V2.0).
				(Et suppression du mode promisc permanent devenu inutile).
* Correction: 	Plantage de l'application Display en cas d'appel vers "trop d'adresses SIP trop longues". Si la somme
				des tailles des adresses appelées dépassée 100 caractères, l'application plantait. Cela est corrigé.
* Correction:	la taille du nom du serveur SIP ne pouvait pas dépasser 22 caractères - le nom était tronqué au dela. 
				Cela est corrigé.
* Correction:	Il n'était pas possible d'avoir plus de 20 connections sortantes vers des postes distants (pour
				des relations inter-équipements, controle d'accès ou autre raison nécessitant la connection). Cela est 
				corrigé.
* Modification: Les règlages des caméras utilisées dans les portiers ont été modifiés pour augmenter la luminance et
				diminuer les problèmes de contre-jour et d'image sombre.
* Modification: Mute du HP au démarrage pour éviter le problème de grésillement avec les dernières productions de cartes.
* Ajout: 		Ajout d'un élément SNMP (xeSipResponseCode) pour envoyer l'état d'enregistrement SIP du poste.
* Ajout:		Nouveaux types de postes "PADIPAUDIO-CLAV-LECT", "PADIPVIDEO-CLAV-LECT", "CAPIP-4B-HT280" et "CAPIP-V4B-HT280".

v2.12.1
--------
* Correction : L'option permettant de confirmer l'appui sur le bouton d'appel n'est plus affichée que s'il est possible d'y répondre (dépend du modèle de clavier)
* Correction : L'option pour activer la sécurisation des fins de communication n'est plus affichée que si le poste est équipé d'un afficheur et d'un clavier 12 touches
* Evolution : possibilité de désactiver le haut parleur du poste et la sonnerie même sur les portiers à partir des réglages audio : 
              sur les postes chef où l'option était décoché il faudra re-décocher après mise à jour 
* Evolution : possibilité de customiser le message affiché à l'écran lorsque le relais de sortie est commandé sur le poste CAPIP-V1B-SCREEN
* Evolution : la tonalité pour l'accès refusé n'est plus affiché que si le poste est équipé d'un lecteur ou d'un clavier 12 touches
* Modification : Affichage de la vidéo en plein écran sur le poste CAPIP-V1B-SCREEN
* Correction : Les messages d'erreur et de changement de config sont de nouveau affichés sur le poste CAPIP-V1B-SCREEN
* Evolution : sur l'événement "Fin d'appel" prise en compte de la raison "Liste d'appel pleine" notamment pour la supervision

v2.12.0
--------
* Ajout : dans la gestion de la bande passante des paramètres vidéo on peut fixer le nombre d'images par seconde
* Correction : en affichage simplifié correction pour permettre de modifier les paramètres généraux 
* Correction : lorsqu'une touche de fonction est configurée via Castel Serveur pour commander un relais distant,
               il n'y a plus de bug à l'affichage et le gid du relai commandé est affiché
* Ajout : Pouvoir activer l'enregistrement des traces de signalisation SIP, renommage de Sip Stack en linphone stack 
* Evolution : reboot en fin de traitement de power failure.
* Pouvoir activer l'enregistrement des traces de signalisation SIP
* Lors d'un transfert par Invite avec header replace, informer GOPE que la communication en cours est terminée avant de l'informer de la nouvelle communication qui arrive
* Eviter de lancer plusieurs mediagip lorsque gopeaskedstart
* Pouvoir forcer l'envoi de sendrecv dans le SDP
* Tuer tous les process de mediagip existant en cas de demande de redémarrage par GOPE, car il arrive que GOPE n'arrive pas à établir la connection avec GOPE
* Ajout: Nouveau type de poste: CAPIP-V1B-SCREEN
* Evolution: fonction de surveillance son ici de GIP: attendre 3 défaut de son de suite pour signaler une erreur
* Ce paramètre est modifiable dans aecapp.config. 0 annule le test
* New: applicatif compatible du moniteur

v2.11.X
=================
v2.11.3
--------
* Correction : Sur refus d'appel en sip trunk, le poste appelant doit être correctement notifié de la fin d'appel par le routeur (480 transformé en 503)

v2.11.2
--------
* Ajout : type poste XEK-1B-3LED

v2.11.0
--------
* Ajout : Possibilité de sélectionner le type de transport sur les Xellip Routeur

v2.10.X
=================
v2.10.3
--------
* Correction : Passage de la limite haute de la période d'enregistrement à 9999
* Correction : Résoud les différents problèmes d'enregistrement sur serveur SIP, notamment le faite de valider deux fois la configuration SIP
* Ajout: type poste CAPIP 1B P HT280 et CAPIP V1B P HT280
* Ajout: type poste XEK-1B-LIAISON

v2.10.1
--------
* Correction : suppression d'un interblocage logiciel entrainant un blocage du tactile lors du passage en veille

v2.10.0
--------
* Ajout : Possibilité de regénérer le certificat des pages web pour tenir compte de l'adresse ip ou du hostname
* Ajout : dans les paramètres avancés, possibilité de configurer le payload des codecs
* Modification : les postes définissent l'ordre préféré d'utilisation des codecs (audio & vidéo), il n'est plus possible de les ordonner dans la page web  
* Ajout / Modification : 
    Dans la page de création des codes/badges d'accès :
    - possibilité de saisir en hexadécimal
    - possibilité d'enrôler un badge
    Dans la page de listing des codes d'accès, le bouton permettant de créer la relation n'est proposé que s'il n'existe aucune relation sur code d'accès / badge autorisé   
    Possibilité d'importer les codes/badges d'accès en hexadécimal.
* Ajout : Contrôle de l'adresse du serveur SIP pour interdire le caractère @     
* Correction : les caractères accentués (latin1) sont autorisés dans les notifications, en tant que caractères de polling et en tant que caractères de fin de chaine
* Modification : Le mécanisme de synchronisation entre l'application tft display et msfbout chargé de l'affichage du flux vidéo a été renforcé.
    Les décalages entre la taille d'affichage du logo Castel et la taille du flux vidéo ne doivent plus exister.  
* Charger au démarrage le module de touchscreen du TFT
* Ajout: type poste CAPIP-1B-CLAV-P
* Ajout: type poste CAPIP-V1B-CLAV-P
* Ajout: type poste XEP-1B-EM avec entree sortie pour proto Mexico
* Pouvoir changer le numéro de payload des codecs
* Gestion de la vidéo faite par vpuhandler
* Gérer le recv_fmtp du codec dtmf
* Correction de taille payload à la réponse d'un DESCRIBE RTSP
* Correction de lien rtp bidirectionnel avec decodage software
* Informer GOPE de l'état de la vidéo supervision
* Pouvoir arreter des pages WEB la vidéo supervision
* Transmet le user agent castel_video_tools si l'application maison de supervision me demande le flux de supervision

v2.9.X
=================
v2.9.1
* Ajout : type de poste XEK-V3B-P
* MAJ->Permettre de rapidement remonter l'information comme quoi un correspondant est non joignable

v2.9.0
* Ajout : Une page Notification superviseur permet de configurer la connexion avec une application de supervision.
          Une nouvelle action a été ajoutée aux relations afin de permettre d'envoyer une notification lorsqu'un événement survient sur le poste
          Une nouvelle application "notifier" est associée à cette fonctionnalité (lancement optionnelle) d'où l'ajout de nouvelles traces. 
          
* Modification : SNMP est maintenant optionnel sur les postes. 
                 A noter que lorsque SNMP n'est plus actif, l'application associée ne prend plus de ressources systèmes. 
* Ajout : - gestion d'un mauvais raccordement clavier I2C

v2.8.X
=================
v2.8.0
* Ajout : Prise en compte des appels séquentiels dans les touches de fonction, les relations, les DTMF, les annuaires (appels multiples), la page Gestion des appels (onglet commande), la configuration ascenseur
* Ajout : Touche de fonction permettant d'accepter un appel sur les portiers (le décroché auto est maintenant désactivable)
* Ajout : Touche de fonction permettant d'accepter un appel / terminer une com.
* Correction : Sur les portiers équipés de clavier lorsque l'on défini un profil bloquant le clavier, 
               le menu identification n'apparaît plus.
* Correction + Ajout : Afin de permettre de raccrocher sur les portiers à défilement suite à un appel depuis l'annuaire,
               la touche en forme de check permet de raccrocher sur tous les appels si l'option est activée
               Le comportement sur les autres touches de fonction n'est pas modifié.
* Ajout : Prise en compte des appels séquentiels
* Optimiser le timing mis dans mediagip en fonction de ses sous process
            
v2.7.X
=================
v2.7.4
* Ajout : Evénement sur changement d'état de l'entrée de filtrage (présente sur les kits ascenseurs)
* Correction : Lorsque l'on utilise une clé USB en FAT il ne faut pas faire de chown, car non gérée par vfat
* Correction : documentation mise à jour pour la gestion des 3 serveurs
* Correction : l'événement KEY_PRESSED_OVER_TIME n'est plus généré pour les postes ascenseur

v2.7.1
* Ajout : Gestion automatique de la sortie relais sur option dans la config ascenseur
* Ajout : Ajout de l'évenement changement d'état d'alarme dans les relations 
* Correction : Plantage javascript dans ie8 sur la page des tonalités
* Correction : Affichage du profil en cours sur la page Ascenseur
* Correction : après avoir changé le mode d'affichage simplifié <-> complet il est de nouveau possible de changer le nom du poste sur la page d'accueil
* Correction : Le bouton d'appel spécial (sur les postes à défilement) peut raccrocher 
* Correction : Suite à la mise en place d'une option sur les touches de fonction pour raccrocher
               l'utilisation d'un timeout de com ou d'appel à zéro ne doit plus être utilisé sauf pour un appel infini 
* Correction : Le changement de langue est directement pris en compte sur les postes TFT
* Correction : lorsqu'une ip avahi a été attribuée car le serveur dhcp n'est pas disponible il est maintenant possible de saisir une IP fixe directement sur le poste
* Ajout : Gestion des ascenseurs
* Ajout : Gestion des VD4Lect

v2.7.0
* Ajout : gestion du rappel auto à partir des boutons/touches de fonction via la configuration d'un délai
* Ajout : une page ascenseur permet de configurer les options spécifiques à ce type de poste 
* Ajout : possibilité de sécuriser les fins de communication par la saisie d'un code
* Ajout : sur les boutons d'appel, possibilité de mettre fin à l'appel ou la com par un 2nd appui
* Ajout : possibiliter de saisir un code avant de mettre fin aux appels
* Ajout : gestion du rappel auto sur les boutons/touches de fonction
* Afficher en critical les démarrages de Mediagip
* Afficher plus d'information quand on ne peut pas récupérer le callid attaché au call
* Ajouter un verrou pour changer des données partagée multithreads
* Supprimer un Warning lors de l'ajout d'une commande
* Lorsque l'on demande le renvoi et que l'uri est simple(sip:100) il faut ajouter l'adresse ip du serveur sur lequel on est enregistré(compatibilité alcatel)
* Limiter les messages intempestif en log
* Essayer de garder le password du dernier enregistrement OK sur serveur SIP : gain de temps le temps que gope se reconnecte
* Lorsque le fichier de configuration linphonerc est erroné, il arrive que nous puissions plus utiliser le port 5060, ceci est resolu avec le fichier ro avec l'option -b
* Envoyer le status d'enregistrement serveur à la connection de GOPE
* créer une nouvelle fonction d'envoi de SIP MESSAGE en créant un fake INVITE que l'on vient modifier
* Desactivation des keep-alive UDP, on supposera que les REGISTER et OPTION seront suffisants ...Sinon on envisagera des activer par les pages WEB
* Arreter de vouloir s'enregistrer sur un serveur qui n'est pas présent intempestivement ... => ressayer toutes les 10 minutes-e 


v2.6.X
=================
v2.6.0
* Ajout : Lorsque le poste est équipé d'un combiné : 
    - ajout d'une fonction pour basculer en main libre et suppression des fonctions micro-casque
    - le paramétrage du micro externe, maintient du HP au poste... n'est plus disponible
* Ajout : gestion du rappel auto à partir des boutons/touches de fonction via la configuration d'un délai
* Correction : les niveaux de traces sont maintenant définis par défaut à ERREUR (pour la majorité)
* Ajout : Prise en compte du type de poste XEHANDSET-SCREENV-P
* Ajout : Prise en compte du type de poste XEHANDSET-GRAPH-P
* Ajout type de poste XED-1B-PROX-HID
* Ajout type de poste XED-V1B-PROX-HID

v2.5.X
=================
v2.5.0
* Ajout : Prise en compte des périphériques EFFIA
* Ajout : Option pour empêcher la possibilité de raccrocher sur réception d'un appel de type groupe d'annonces 
* Modification : Dans la page web "Code d'accès local" : la relation créée pour permettre de commander le relais 
                 est liée soit à l'interface lecteur, soit à l'interface clavier selon le type de poste
* Interne : Le nombre de periphériques par module et le nombre d'interfaces par périphérique n'est plus figé
            (Remplacement des tableaux par des listes chainées)
* Modification : Le caractère _ est accessible en appuyant sur * et non plus sur 0
* Ajout: gestion type de poste lecteur
* Ajout: gestion type de poste CAP IP
* Ajout : Lorsque le poste reçoit un appel de type paging et si une des 2 conditions ci dessous
         est remplie alors le poste ne doit pas pouvoir raccrocher pour quitter la pseudo-conférence
 - lorsque le serveur SIP passe une option 'X-Disable-Hangup' dans le header SIP
 - lorsque le poste client est configuré pour ne pas pouvoir raccrocher (gestion des appels)   
* Ajout : gestion du mute pour la bloucle Malentendant des poste CAP IP
 
v2.4.X
=================
v2.4.1
* Ajout : Possibilité d'utiliser les codes DTMF 0 à 9 * et #

v2.4.0
* Ajout : Possibilité de configurer un serveur tftp pour mettre à jour les postes
          Possibilité d'executer la commande de vérification + update directement à partir des pages web ou via les relations
* Ajout : Possibilité de configurer la détection de bruit
* Ajout : Possibilité de désactiver dans la configuration SIP l'envoi des 'tchat messages Castel' à destination de XellipMedia 
* Ajout : Possibilité de désactiver les leds pour l'éclairage caméra lorsque l'on passe en com. via les profils
* Ajout : Possibilité de basculer sur micro-casque via une touche de fonction
* Ajout : Possibilité de désactiver le réglage audio (volume) sur le poste à partir des profils
* Ajout : Possibilité de configurer une relation en prenant comme condition si le poste est enregistré auprès d'un serveur sip  
* Ajout : Un message apparait pour signaler une connexion avec un serveur de configuration (VDIPServeur)
* Ajout : Un message apparait lorsque le contrôle d'accès est traité à partir de VDIPAcces pour signaler que les codes d'accès ne sont plus pris en compte
* Ajout : Gestion de l'interface lecteur si présente sur le poste 
* Ajout : Le niveau de crise apparait dans les états du poste (si différent de 0)
* Ajout : Affichage du niveau de remplissage des FIFO dans les états du poste (si différent de 0)
* Modification : la gestion des notifications SNMP a été révisée pour être plus dynamique 
* Modification : l'ihm a été révisé pour plus d'homogénéité avec les autres produits
* Modification : le libellé des postes est limité à 50 caractères au lieu de 32 
* Interne : dans les pages appels, audio, vidéo, import_export, ethernet et logs seul l'événement onclick est envoyé sur 
  changement d'état des checkbox (avant 2 appels était effectué sur onChange et onClick).
  A noter que seul onclick est interprété par IE
* Ajout : Affichage du paramétrage du VLAN dans la page de configuration de l'ethernet
* Correction : possibilité de décrocher sur réception d'un appel dont le libellé du poste est à sa taille maximum (50 caractères)
  Néanmoins la longueur de l'uri d'appel sip ("Nom du poste_PR:" <sip:extension@ip_ou_dns>) est fixé à 100 caractères au total !
* Ajout : Prise en compte du Kit 3Bp POE et Wifi
* Ajout: sauvegarde des évènements secourus, des états et des historiques).
* Ajout: Gestion des codes d'accès clavier avec le controle d'accès global
		 si un point d'accés existe.
* Ajout: interface easyconfig pour CastelIPSearch.
* Correction : possibilité d'activer les traces locales sans activer les traces distantes
* MAJ->Les LEDs d'éclairage caméra ne sont plus gerée par mediagip
* BUG->L'envoi de DTMFs par une commande de touche est résolu
* BUG->Evite de redémarrer mediagip deux fois à chaque plantage (géré par mediagip_supervisor)
      Résoud un problème de redémarrage systématique de mediagip toutes les 25 coms dû au fait que l'on renvoyait les paramètres à la caméra toutes les 50 initialisations... le démarrage de média était un peu plus lent...
* BUG->Lors de reception de early media nous n'interpretions pas le ringing
* MAJ->Prise en compte de la remontee de l'IP par Gope
* Ajout: traitement de la répétition de l'auto test *
* Gestion de la commande simplex via DTMF: '*'= simplex écoute, '#'= simplex parole, '0'= duplex 

v2.3.X
=================
v2.3.0
* Ajout : Mise en place des touches de fonctions spéciales associées à certaines touches spécifiques du clavier [1.6.0]
* => La touche de fonction spécfique CALL ne propose que les fonctions accessibles au repos (pas de transfert...)
* Ajout : Il est possible de confirmer ou non une action liée à une touche de fonction
* Correction : simplification de l'affichage des appels multiples  
* Correction : les ports rtp audio et vidéo doivent être différents, pairs et compris entre 7000 et 65535
* Ajout : paramètre de la config AEC dans la page de config AUDIO
* Ajout : paramètre de configuration de durée de verrouillage clavier
* Ajout : possibilité de programmer une touche de fonction pour déclencher le verrouillage temporaire du clavier
* Ajout (ticket n°TXELLIP157) : Les postes n'ayant pas l'option "ConfigDirectoryEnabled" ne peuvent plus  
   définir la priorité des appels sortants dans la page de gestion des appels (inutile car pas d'afficheur)
   La priorité d'appel peut néanmoins être définie au niveau du bouton.
* Ajout (ticket n°TXELLIP215) : Lorsque l'on importe un annuaire, un contrôle est maintenant fait systématiquement
   pour ne plus importer le numéro s'il correspond à celui du poste selon la règle suivante :
   - EN STANDALONE :  si le numéro correspond à sip:extension@adresse_ip
   - SUR SERVEUR : si le numéro correspond à sip:extension
* Ajout : possibilité de réinitialiser le clavier via une commande
* MAJ-> dialogue avec msfbout via un socket
* Ajout:   		gestion du poste Portier à défilement de Noms + clavier
* Modification:	gestion du bouton appel du poste à défilement de Noms
* Ajout:		gestion d'un défilement pour un label et un élément d'une liste
* Correction:	Affichage menu option suite appui touche OK sur une liste d'appel.
				La fonction était présente dans la v2.1 mais pas dans la v2.2
* Ajout:		action de verouillage clavier pour 10s dans le menu session
				Affichage d'un écran signalant le verrouillage du clavier
* Ajout: fonction permettant de connaitre l'état d'activité d'un timer
* Modification : la gestion des événements systèmes est mutualisée (application graphique, snmp, et aecapp)
  => Suite à une mise à jour de toute la configuration via VDIPServeur c'est seulement en fin de maj
  que les applications reflètent les modifications (1 seul message sur l'afficheur...)
* Ajout : prise en compte du type de poste XEP-2B-P
* Ajout: affichage d'un texte en défilement
* Ajout: Affichage avec de plus gros caractères 
* Correction : Gestion correcte des évènements "Procédure d'appel" (début et fin)
 	pour les appels entrants.
* MAJ-> suppression d'une fuite mémoire liée à la demande de fin d'une tonalité sans free du pointeur attaché
* MAJ-> Problème lors de transfert, la fin de communication doit être effectué par le poste mettant en transfert
* MAJ-> Association du clignotement de la led boot/on à mediagip, permet de détecter de potentiels problèmes
* MAJ-> Verifier si le port Audio/Video RTP est pair, si ce n'est pas le cas le port est incrémenté de 1
* MAJ-> Controle plus poussé de l'application mediagip
* MAJ-> Message écrit à cause de mauvais conditions (could not attached info about the call)
* BUG-> Plantage de mediagip lors d'envoi d'une commande de relais à un poste distant en cours de communication
 
v2.2.X
=================
v2.2.0
* Ajout : Mise en place des traces snmp [1.5.4]
* Ajout : Mise en place des pages de configuration pour snmp [1.5.5]
* Ajout : Les paramètres avancés proposent des paramètres pour ajuster les autotests selon le type de poste [1.5.5]
* Ajout : Possibilité de déclencher un auto-test (le résultat est accessible via l'historique) [1.5.6]
* Ajout : Mise en place de la version 3 serveurs SIP [1.5.7]
* Ajout : Visualisation dans l'historique des signaux reçu (perte de flux audio, bouton bloqué...) [1.5.7] 
* Ajout : Mise en place d'une page permettant de visualiser l'historique des auto-tests [1.5.8]
* Ajout : Fonctionnalité demandée sous le code EPOSTXIX32 : 
           Possibilité de charger un profil dans les relations logiques et sur code DTMF [1.5.10]
* Ajout : Possibilité de configurer un appel multiple et de le mémoriser dans l'annuaire [1.5.10]
* Ajout : Possibilité de configurer la sécurité réseau (protocole 802.1X) depuis la page ethernet [1.5.11]
* Correction : Possibilité de configurer une extension sip au format alpha-numérique [1.5.11]
* Ajout : Une option du profil permet d'interdire la modification des paramètres de configuration directement sur le poste (ormis les réglages audio) [1.5.12]
* Ajout : Possibilité de configurer / annuler un renvoi d'appel depuis les commandes de la page 'Gestion des appels', dans les relations et dans les dtmf [1.5.12]
* Ajout : Mise en place de la version 3 serveurs SIP
* Ajout : Possibilité d'effectuer un appel multiple à partir de l'annuaire
* Ajout : Possibilité de configurer la sécurité réseau (protocole 802.1X)
* Correction : Possibilité de configurer une extension sip au format alpha-numérique
* Correction : en ip fixe si aucune connexion wifi l'icône est maintenant représentatif du problème de connexion
* Modification : lorsque le poste est déjà en renvoi, un appui sur une autre touche de renvoi pré-défini modifie directement le renvoi en cours
* Ajout : Envoi d'un signal lorsqu'une perte du flux audio est détecté
* Interne : un "file pipe" est créé permettant de recevoir des notifications de scripts ou applications du poste. 
 	(pour le moment, ne gère que le changement de config réseau).
* Ajout : le fichier "historics.conf" permet de mémoriser les historiques des auto-tests
* BUG : évite un plantage lorsque le poste distant est déconnecté et informe GOPE de la deconnection
* Modification: image pour les types de poste XESEL-3B-* et XESEL-V3B-*
* Ajout : type de poste XESEL-K*
* Ajout : type de poste XEP-2B-P*
* Modification: nom du poste défilement de nom clavier XESEL-K par XECLAV

v2.1.X
=================
v2.1.0 (last SVN:3596)
* Correction : Dans la page Données/Gestion des fichiers, la zone permettant de saisir le nom 
   du fichier à renommer est de nouveau accessible [1.3.3]
* Correction : Les logins des utilisateurs logiciels peuvent à nouveau contenir des accents [1.4.1]
* Correction : Possibilité de configurer manuellement le DNS lorsque l'interface WiFi qui était en dhcp est désactivée [1.5.2]
* Modification : le logo pour accéder aux pages de configuration Sip a été révisé 
* Modification : le menu import / export d'un annuaire est renommé en import /export et est déplacé dans le menu Données [1.4.0]
* Ajout : mise en place d'un menu pour le contrôle d'accès local [1.4.0]
* Ajout : le menu import / export permet de gérer les codes d'accès local [1.4.0]
* Ajout : Nouvel événement sur appel entrant disponible dans les relations [1.5.0]
* Ajout : Nouvelle action disponible dans les relations : jouer un fichier audio [1.5.0]
* Ajout : Affichage de l'état de la connexion wifi [1.5.3]
* Ajout : Mise en place des traces snmp [1.5.4]
* Ajout : Mise en place d'enregistrement multiserveurs SIP
* Ajout : Activation de la mise en attente 
* Correction : Lorsque le poste est déjà en communication les appuis sur des touches de fonction 
  permettant de générer des appels ne sont plus pris en compte (les led associées ne sont alors pas allumées)
* Correction : Le dernier caractère des mots de passe est automatiquement masqué avec une étoile lorsqu'aucune action
  n'est effectuée au bout de 0.5 seconde
* Ajout : possibilité d'accéder directement au réglage du volume pendant la communication en appuyant sur la 
  touche de gauche ou de droite   
* Ajout : Mise en place de la gestion des priorités des appels
* Ajout : Mise en place d'un contrôle d'accès local
* Ajout : un menu option peut être affiché à partir de la page de configuration du WiFi pour désactiver l'interface WiFi
* Ajout : un icône permet de contrôler l'état de la connexion WiFi (active ou non)
* Ajout : le script de redémarrage de mediagip a changé d'appel 
* Correction: ReqGetFiles (Audio only pour l'instant) fonctionnel pour
  les postes XellIP (utilisé par VDIPserveur).
* Ajout : Mise en place de la gestion des priorités des appels telle que :
  1- si le poste est configuré en décroché automatique ou s'il reçoit un appel qui impose de décrocher
  automatiquement (groupe d'annonce)
  
      1.1- tout appel de priorité supérieure est accepté automatiquement si la priorité est maximale (niveau 4)
      et dans les autres cas si le poste n'est pas en mode "Ne pas déranger"
      Lorsque le poste est en cours d'appel, l'appel est arrêté pour accepter l'appel prioritaire entrant.
      A la fin de la communication prioritaire, l'appel moins prioritaire est repris en communication automatiquement
      sauf si entre temps l'utilisateur a placé la communication prioritaire en attente volontairement.
      
      1.2- tout appel de priorité inférieure ou égale à l'appel en cours est :
          1.2.1- soit rejeté s'il s'agit d'un portier (nombre de communication simultanée = 1)
          1.2.2- soit ajouté en tête de liste des appels entrants
 
  2- si le poste ou l'appel n'est pas configuré en décroché automatique, l'appel prioritaire vient se placer
  en tête de liste des appels entrants.
  
* Ajout : Mise en place d'un contrôle d'accès local (code de gâches)
   Une plage horaire dite standard peut être définie pour l'ensemble des codes de gâche. Dans ce cas, 
   les codes ne sont validés que si la plage horaire autorise la saisie du code.
   Il est possible de définir également une plage horaire spécifique pour chaque code en remplacement
   de la plage horaire standard.
* Ajout : Nouvel événement sur appel entrant. Cet événement est envoyé à chaque nouvel appel reçu (standard ou prioritaire)
  
* Interne : révision du principe de chargement des fichiers de conf pour permettre le démarrage du poste
   en l'absence de certains fichiers tel que user_local_access.conf
 * Interne : un événement est envoyé pour signaler le changement de l'état de la connexion WiFi 
* Interne : gestion tonalité sur appel entrant,
* Interne : gestion commande de tonalité.
* Correction : pas de décroché auto après reset d'un poste chef.
* Interne : tri des appels entrants par priorité.
* Ajout : Gestion transfert.
* Correction : Correction d'un problème pour supprimer les groupes de jours fériés
* Ajout : Sur appels sortant multiples, passe immédiatement à l'appel suivant si
  l'on se retrouve sans appels sortants actifs (si retard d'appel).
* Ajout : Le nom du poste est maintenant pris en compte comme nom d'hôte réseau (hostname)
* Interne : ajout de la possibilité d'envoyer un message (reqSignal) 
 * ALTERNATIVE : Possibilité de faire des appels multiples sans pour autant qu'au délà du premier ils soient mis en pause...
 * BUG : éviter de dire que l'on a raccroché la communication quand le poste distant nous a mis en pause et qu'il est en communication avec un autre alors que la com tourne toujours...
 * BUG : résolution de bugs au niveau de la mise en attente bipartite, subsiste des problèmes liées à l'encodage/decodage vidéo
 * BUG : (linphone)Envoi RINGING en appel multiple
 * BUG : traitement du message "SIPMEDIA_MSG_NO_SOUND_DETECTED"
 * BUG : (linphone) pas de raccroché au bout du timeout de 30 sec que le poste distant n'est plus là lorsque nous sommes en attente
 * BUG : (linphone)Etre capable de répondre à un appel entrant alors qu'un autre appel entrant n'est pas répondu non plus
 * BUG :(linphone) Ne plante plus lors de reception d'un DTMF hors de la communication courante
 * ADDED : Ajout de la mise en attente
 * BUG : Récupération de l'état sur enregistrement serveur
 * BUG : N'envoi plus resume au démarrage d'une communication
 * BUG : Gère mieux les mises en attente bipartite
 * ADDED : Ne pas envoyé de "_PR:0" avec la priorité 0(pour des soucis de compatibilité avec serveur SIP)
 * BUG : Appels multiples de nouveau supportés(linphone)
 * BUG : Problème lors de transfert alors qu'une communication est en attente
 * BUG : Fin de communication en cours lors d'un transfert qui s'est bien passé
 * BUG : Résolution d'un problème de renvoi gérer par mediagip et non pas par linphone
 * ADDED : linphone ne tourne plus dans un thread qui ralentit l'application, l'application pingera une autre qui surveillera si elle tourne bien !
 * ADDED : Ajout d'une applicatione externe qui gère le forcage du redémarrage de mediagip si plantage...beaucoup plus robuste
 * ADDED : Suivi beaucoup plus fin de l'application mediagip qui prends plus de ressources au repos(seulement) mais qui vérifie mieux !
 * ADDED : Ne pas executer de commande d'allumage de LEDs alors que nous sommes sur poste TFT
 * ADDED : Diminution des fonctions system et envoi des trames au TLV320 par I2C directement
 * ADDED : Ne pas génerer l'appel alors que l'on nous demande de l'arreter
 * ADDED : Don't warn about something not really usefull...
 * BUG : MYIP doit être assigné avec l'adresse du WiFi quand l'interface est présente et fonctionnel !!
 * ADDED : Gestion du multiserveurs
 * BUG : Attention l'adresse IP du serveur peut contenir en longueur un port sur 6 chiffres
 * ADDED : Envoi de l'information à GOPE comme quoi le distant a été déconnecté avec #IFDEF HANDLE_DISCONNECTED
 * BUG : de création de contact en standalone
 * ADDED : Ne plus envoyer de unregister inutiles car le register fait le boulot seul et évite des désenregistrements malheureux par non réponse d'un serveur
 * ADDED : gestion du message BUSY renvoyé par un poste via serveur SIP type XELLIP ... car non gestion du decline 603
 * BUG : Correctement se désenregistrer des anciens serveurs en passant d'une configuration serveur à une standalone
 * BUG : NE rédémarrer toutes les 50 communications quand nous sommes sans call en cours et si aucune commande n'a été demandé par GOPE
 * ADDED : etre capable de lancer mediagip en mode gdb!!! resultat de l'opération dans /tmp/gdb_mediagip_result.log
 * BUG : Suppression de messages intempestifs lorsque le poste ne supporte pas la vidéo
 
v2.0.X
=================
v2.0.0
* Ajout : envoi d'un code DTMF multiples via une touche de fonction [1.2.1]
* Ajout : accès aux paramétrage des tonalités [1.2.1]
* Ajout : accès aux paramétrage du clavier [1.2.1]
* Ajout : possibilité de télécharger les fichiers présents sur le poste (audio et images) et de les renommer [1.2.1]
* Ajout : possibilité de configurer le message de la page d'accueil des postes avec afficheur [1.2.2]
* Ajout : possibilité de vider l'annuaire en un seul clic [1.2.3]
* Correction : la suppression des groupes de jours fériés est de nouveau opérationnelle [1.2.3]
* Correction : dans la page d'accueil le nom de l'utilisateur connecté correspond au nom de l'utilisateur ayant ouvert une session sur le poste [1.2.3]
* Modification : les plages horaires dans la gestion des profils n'intègre plus la notion de priorité (permanent, dérogation ou exceptionnel)
  Cette notion n'est disponible qu'au sein d'une unique relation horaire. [1.2.3]
* Les relations horaires crées automatiquement via la gestion horaire des profils ne sont plus supprimable à partir de la page web de configuration des relations horaires [1.2.3]    
* Modification : la page de configuration des réglages audio a été révisée suite à l'ajout de la carte de traitement audio
  Lorsqu'une mise à jour des traitements audio est nécessaire un message s'affiche dans la page des réglages [1.2.4] 
* Ajout : affichage des traces de l'application aec si la carte de traitement audio est présente [1.2.4]
* Ajout : accès au numéro de version de l'application aec si la carte de traitement audio est présente [1.2.4]
* Ajout : possibilité de simuler un appui touche depuis la page de configuration du clavier, dans les relations et dans les dtmf [1.2.4]
* Ajout : possibilité de passer un appel multiple à partir d'une touche de fonction, dans la gestion des appels, les relations et les dtmf [1.2.4]
* Le nombre maximum de postes pouvant être placés en attente est configurable dans la page de gestion des appels [1.2.4]
* Ajout : pour répondre à la réglementation sur le handicap, 2 tonalités (mise en communication et commande du relais de la sortie) ont été ajoutés [1.2.4]
* Modification : les caractères & < > " ne sont plus autorisés dans le nom du poste afin d'éviter tout problème éventuel [1.2.4]
* Correction : la langue du poste par défaut est bien en conformité avec la langue affichée dans les paramètres généraux
* Correction : lorsque l'adresse Ip du poste change (Ethernet ou Wifi) les autres postes du réseau en sont avertis
* Correction : lorsque l'on vient de s'identifier afin d'ouvrir une session, le nom du poste peut être changé dans la page des états sans provoquer une erreur [1.2.5]
* Ajout : la page d'accueil affiche maintenant le nombre d'appels entrants, sortants et placés en attente [1.2.6]
* Correction : lorsque le poste est en communication le nom du poste avec qui la com. est établie apparait correctement (problème d'encodage du caractère <) [1.2.6]
* Ajout : possibilité de visualiser l'annuaire et de sélectionner un contact pour configurer une touche de fonction ou passer un appel [1.2.7]
* Correction : dans les relations, la procédure d'appel ne concerne que les appels sortants (et non pas entrants) [1.2.7]
* Ajout : il est possible d'afficher ou de masquer les numéros sip via une option de l'afficheur [1.2.8]
* Ajout : une option supplémentaire est maintenant disponible afin de maintenir la sonnerie au poste même lorsque le haut parleur est désactivé [1.2.9]
* Ajout : le niveau de priorité des appels sortants peut être défini dans la configuration des profils [1.2.9]
* Ajout : un bouton permet de redémarrer la carte de traitement audio [1.2.9]
* Ajout : possibilité de jouer et d'arrêter une sonnerie depuis la page de configuration des tonalités [1.2.10]
* Les états sont rafraichis automatiquement sur la page d'accueil et dans les pages de configuration des entrées et sorties [1.2.11]
* Ajout : seuls les charactères 0-9 A-D et # et * sont autorisés dans la saisie des DTMF [1.2.12]
* Ajout : la page de configuration des DTMF est accessible dès le mode simplifié [1.2.12]
* Interne : masquage des tonalité clavier [1.2.12]
* Ajout : en cas d'erreur de configuration dans les tonalités (suite à la suppression d'une tonalité par exemple),
  une erreur signale en rouge le problème [1.2.13] 
* MAJ : les scripts prototype.js et scriptaculous.js sont mis à jour pour corriger les problèmes de fonctionnement sous ie8 [1.3.0]
* Modification : il n'est plus possible d'envoyer des tonalités personnalisées sur le poste tant que cela pourrait poser des problèmes
  dans la détection de son [1.3.1] 
* Modification : Pour éviter des problèmes à la lecture des tonalités, la tonalité d'acheminement n'est plus disponible [1.3.2]
* Modification : le contrôle de gain automatique n'est plus disponible [1.3.2]
* Ajout : Mise en place des tonalités
* Modification : Les ascenseurs sont grossis afin de mieux les manipuler
* Modification : La barre d'outils principale n'est plus masquable suite à la mise en place de la vidéo 
  (afin d'éviter tout problème de redimensionnement dynamique)
* Interne : lorsque l'accès au clavier est verrouillé on affiche quand même le menu latéral
  pour ne pas avoir de problèmes de superposition de la vidéo avec le logo castel en fond d'écran
* Modification : le logo SIP a été remplacé pour éviter tout problème de copyright [2.0.0 20101008]
* Ajout : un icône permet de signaler si le HP est muté [2.0.0 20101008]
* Interne : les titres des menus sont masqués pour laisser la place aux icones [2.0.0 20101008]
* Correction : appuyer à 2 reprises sur une touche de fonction pour effectuer un renvoi d'appel ne pose plus de problème d'affichage [2.0.0 20101012] 
* Révision du moteur d'affichage des pages suite aux appuis touches  
* Création d'une librairie mlibClientBase permettant de scruter les événements en provenance du serveur Gope
* Ajout d'informations supplémentaires au démarrage
* Possibilité de configurer le message de la page d'accueil à partir des pages web pour les postes avec afficheur
* Sauvegarde du volume de la sonnerie à partir du poste
* La touche OK permet de provoquer l'appel du numéro composé
* Mise en place des menus contextuels pour proposer des options :
    - en cours de communication
    - sur réception d'appel
    - sur appel d'un correspondant
    - lors de la mise en attente 
    - dans l'historique des appels
* Mise en place du transfert et renvoi d'appel (avec contrôle des droits selon les black & white listes)
   - vers des numéros pré-établis
   - vers des numéros à saisir ou à partir de l'annuaire
   Un icône indique que le renvoi d'appel est actif
* Le volume du micro est réglé différemment suite à l'ajout de la carte de traitement audio
   Par ailleurs le réglage du microphone n'est disponible que si le poste est équipé de la carte de traitement audio
* Le réglage du volume sonnerie n'est disponible que si une sonnerie est configurée dans les pages web
* La page de réglage des volumes propose des options supplémentaires si le poste est équipée d'une carte
   pour brancher un micro et/ou un casque
   Un icône indique que le micro externe est actif
* La touche fin a un comportement différent selon le contexte :
    - sur un appel entrant : refuse l'appel
    - sur une communication en cours ou en attente : met fin à la com.
    - dans les menus contextuels : permet de retourner à la page précedente
* Affichage des libellés des touches de fonction suite à l'appui sur la flèche haut au repos
* Les informations systèmes ont été complétés pour indiquer :
   - si les traitements audio doivent être mis à jour
   - lorsque le poste est en renvoi le poste vers lequel ce renvoi est établi
* Lorsque le poste n'est plus en communication l'affichage indique si besoin le nombre de postes placés en attente ainsi que le nombre d'appels entrants
* Affichage d'une liste de postes appelés pour l'appel multiple
* Possibilité de prendre un appel sur le poste même si le clavier est verrouillé
* Possibilité d'ouvrir une session pendant une com. pour obtenir des droits différents
* La led associée à une touche d'appel est allumée fixe au moment de l'appel et éteinte dans les autres cas
* Sur mise en com et commande de gache, action tonalité correspondante
* La led de signalisation des appels ne s'éteint que si la liste des appels est vide
* Le niveau de priorité des appels sortants dépend du profil et du niveau défini par défaut sauf pour les touches de fonction
* Pour activer l'action beep touche, l'option FEATURE_KEY_TONE_ENABLE du fichier de configuration
 /usr/etc/display/displayapp.config doit être mise à 1
* Pour un portier défilement la page info s'affiche en restant appuyé sur une des flèches
* Les fichiers logo ont été déplacés
* Gestion de l'affichage du message d'accueil configuré dans les pages web
* Affichage d'une page option pour l'historique suite à l'appui sur la touche OK
* Affiche du réglage micro en dB
* Affichage des informations Renvoi
* Affichage des informations du transfert 
* Affichage fonction Renvoi vers..
* Affichage fonction Transfert vers..
* Affichage liste d'appel entrant
* Affichage liste d'attente
* Affichage liste appels sortants
* Affichage libellés touches de fonctions
* Affichage autres réglages volume
* Ajout icone Micro casque	
* Masquage possible de l'adresse Ip
* Ajout icone de signalisation Mute HP
* Gestion du type MED
En cours d'évaluation : 
* Mise en place de la mise en attente d'une communication et de sa reprise
    - possibilité de mettre en attente un poste alors que le poste est lui même en attente
    - possibilité de numérotation lorsque la liste des communications en attente est affiché
Pour activer la mise en attente, l'option FEATURE_PUTONHOLD_ENABLE du fichier de configuration
/usr/etc/display/displayapp.config doit être mise à 1
* Eviter d'utiliser les fonctions system, augmente la robustesse
* Eviter un plantage lors d'envoi de différents DTMF à la suite
* La commande des leds spots se fait directement par le bus I2C, augmente la robustesse
* Potentiel résolution du bug lors du passage en DEBUG l'application mediagip
* Pouvoir commander le relais du poste distant par envoie de message par SIP CHAT
* Eviter de jouer les tonalités lors de mise à jour de configuration et lors d'une communication(synonyme de plantage)
* Gestion du transfert des communications
* Par défaut le poste n'est plus en renvoi et prends la configuration du renvoi dès le démarrage
* Résolution d'un potentiel problème de communication SIP(3cx) liée au hostname qui était unknown-host
* Ajout de guillemets autour du libellé, ce qui optimise la compatibilité avec différents serveurs
* Bien signaler la fin d'appel lorsqu'un endpoint sip n'est pas présent erreur 404
* Bien signaler la fin d'appel lorsqu'un endpoint sip decline l'appel 603
* changement de la gestion du call_id pour GOPE
* Jouer jusqu'à 10 tonalités WAV en simultanées
* Chaque tonalité est jouée avec son propre volume
* Les tonalités peuvent être jouées pendant une communication
* Gérer le multicall
* Forcer le redémarrage de mediagip après 50 communications pour garantir la charge...
* Pouvoir passer 30 sessions SIP en simultanée
* Suppression de messages inutiles dans les logs notice de l'appli
* Informer du démarrage et de la fin d'une tonalité en fonction de son repère
* Volume des tonalités gérée par mediagip
* ACK lorsque la mise en attente et la resprise se passent bien
* Recepetion des dtmfs OK 
* Transfer et renvoi OK 
* Envoi de la configuration du poste sur appel entrant 
* NE mute PLUS le flux audio entrant lorsqu'en communication nous jouons une tonalité (car provoque bug ... à voir)
* Résolution potentiel du double appel, et de la prise de communication lorsqu'un appel entrant arrive alors qu'un autre est déjà en pause
* Pouvoir émettre des appels après avoir été enregistré sur un serveur puis désenregistré...
* Transfert et renvoi fonctionnels ...
* Correction de renvoi ou transfert avec short uri quand enregistré sur serveur exemple=> sip:100
* Correction lors d'un renvoi ou transfert dans certains cas particulier, l'appel n'était pas raccroché
* On informe GOPE qu'un timeout est arrivé sur appels entrants
* Mediagip est capable de détecter que la VPU est restée ouverte, il fait un redémarrage de linphone...
* Mediagip ne redémarre plus intempestivement à 50 communications
* Mediagip fait tourner un thread en parallèle qui vérifie que linphone_core_iterate(qui peut planter) ne dépasse pas une durée de 5 secondes sinon il y a un soucis !!! et redémarre
* Mediagip supporte à nouveau la demande de déccroché auto provenant du serveur
* Mediagip peut désormais appelé jusqu'à 10 postes en simultanée
* Mediagip raccroche vraiment quand on nous le demande
* Mediagip résoud le problème d'attente d'une seconde entre les DTMFs joués
* Mediagip fait traverser à nouveau les SIP MESSAGEs émis
* Amelioration de libration de certaines variables qui prennaient de la memoire
* Mediagip evite le reboot lorsque l'on recoit d'un coup plein de TODO
* N'utilise plus la TODO list pour l'autokill le thread devrait etre suffisant
* lorsqu'un probleme de son a ete detecte, le redemarrage est plus soft, on ferme les communications proprement
* Ajout : la gestion de la bande passante en automatique determine si les codecs video slectionnes sont de type hard 
   pour adapter la configuration par defaut  un meilleur debit
* Correction : lorsque l'on est enregistre sur un serveur et si on change le port sip celui-ci est maintenant pris en compte
* Mediagip sait redémarrer le codec audio en cas de soucis audio
* Gestion du volume HP
* Gestion du Mute HP
* Affichage de la version
* Ajout Polling carte
* Ajout Mute avec retard
* Traitement de la commande reset carte audio
* traitement du maintien de la sonnerie au poste lors de l'utilisation du micro casque
* Possibilite de configurer ou pas la gestion du MUTE HP / MICRO via le fichier de config
* Pour activer l'action beep touche par la carte DSP, l'option MANAGE_KEY_TONE du fichier de configuration
  /usr/etc/aec/aecapp.config doit être mise à 1
* Surveillance audio reçu de la carte GIP->message d'erreur en cas de non réception d'audio
* Gestion du type MED
 
Avant
=================

<voir fiches de modif>